Name:           python-flexparser
Version:        0.3.1
Release:        %mkrel 1
Summary:        Parsing made fun ... using typing
Group:          Development/Python

License:        BSD-3-Clause
URL:            https://github.com/hgrecco/flexparser
Source:         %{pypi_source flexparser}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%global _description %{expand:
You write a class for every type of content (called here ParsedStatement) you
need to parse. Each class should have a from_string constructor. We used
extensively the typing module to make the output structure easy to use and less
error prone.}

%description %_description

%package -n     python3-flexparser
Summary:        %{summary}

%description -n python3-flexparser %_description


%prep
%autosetup -p1 -n flexparser-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flexparser


%check
%pyproject_check_import
%pytest

%files -n python3-flexparser -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Sat Sep 14 2024 papoteur <papoteur> 0.3.1-1.mga10
+ Revision: 2096519
- imported package python-flexparser

